WordPress 5.6 Good ، Meh و Ugly را به ارمغان می آورد

وردپرس 5.6 با ده ها پیشرفت و ویژگی های جدید منتشر شده است. وردپرس 5.6 با کدی به نام سیمون (بزرگداشت خواننده نینا سیمون) ، با پاسخ مثبت مواجه شده است ، احتمالاً به این دلیل که هیچ چیزی را خراب نکرده است.

محتوای جدید در وردپرس 5.6 را می توان به طور عمده خوب توصیف کرد ، برخی از آن ها و یک مسئله زشت است.

خوب

پلاگین جی کوئری را به روز کنید فعال کنید

دو به روزرسانی اخیر به دلیل خراب شدن یا به روزرسانی تصادفی میلیون ها وب سایت با نسخه بتا وردپرس ، تا حدی سخت بود.

بزرگترین مسئله احتمالی مربوط به استهلاک ها و به روزرسانی های jQuery Migrate بود.

وردپرس 5.6 موفق به جلوگیری از مشکلات پلاگین قدیمی jQuery با بروزرسانی وردپرس 5.5 در آگوست 2020 شد. این به روزرسانی بود که باعث شد وب سایت ها به روشهای بی شماری و غیرمنتظره متوقف شوند.

دلیل این که این بار از این مسائل اجتناب شده این است که وردپرس 5.6 برای جلوگیری از تکرار خراب شدن وب سایت ها ، افزونه Enable jQuery Migrate را بروزرسانی کرد.

وقتی پلاگین فعال است و ناشر به سیستم وارد می شود ، پلاگین jQuery منسوخ شده را شناسایی کرده و با ورود به صفحه نمایش در بالای صفحه ، یک صفحه نمایش را نشان می دهد تا مشکل وجود داشته باشد.

تبلیغات

ادامه مطلب را در زیر بخوانید

هنگامی که صفحات به ناشر هنگام مرور سایت می روند ، این پلاگین از صفحه به صفحه دیگر مسائل جی کوئری را تشخیص می دهد.

یک گزینه برای انجام ثبت مشابه وجود دارد با استفاده از صفحاتی که کاربران در حال مرور سایت هستند ، اما وردپرس هشدار می دهد که این امر می تواند باعث ایجاد بار قابل توجهی در سرور شود و توصیه می کند آن را روشن نکنید.

صفحه ورود به سیستم استهلاک وجود دارد که افزونه های مسئول هشدارها را نشان می دهد. پس از به روزرسانی یک افزونه ، ناشر می تواند ورود به سیستم قدیمی را پاک کند و دوباره مرور را از سر بگیرد تا ببیند آیا افزونه Enable jQuery Migration مشکلات اضافی را تشخیص می دهد یا خیر.

مطالب پیشنهادی  Jackbox Party Pack 9 به Google Stadia می آید

وردپرس اظهار داشت:

“با توجه به موارد فوق ، پلاگین Enable jQuery Migrate Helper برای انتشار وردپرس 5.6 به روز شد ، این یک مسیر تنزل موقت برای اجرای jQuery قدیمی در سایت در صورت لزوم فراهم می کند.

دلیل این که این یک راه حل موقتی تلقی می شود ، این است که نسخه قدیمی jQuery دیگر به روزرسانی های امنیتی را دریافت نمی کند و در صورت بروز هرگونه اتفاقی که به روزرسانی نسخه قبلی باشد ، نسخه قدیمی آن به صورت دستی وصله نمی شود. “

تبلیغات

ادامه مطلب را در زیر بخوانید

مه

وردپرس 5.6 با اولین نسخه وردپرس خود که تا حدودی با PHP 8 سازگار است ، جدیدترین نسخه PHP که در ماه نوامبر منتشر شد ، در حال ارسال است. با این حال ، این سازگاری به عنوان سازگار با بتا در نظر گرفته شده است.

از آنجا که اخبار سازگاری با وردپرس PHP 8 هم خوب است و هم کمتر از خبر خوب ، در نهایت being ماه است.

همانطور که در راهنمای رسمی سازگاری وردپرس 5.6 و PHP 8 ذکر شده است:

“WordPress Core قصد دارد در نسخه 5.6 با PHP 8.0 سازگار باشد (هم اکنون برای 8 دسامبر 2020 برنامه ریزی شده است).

effort تلاش قابل توجهی برای سازگاری WordPress 5.6 با PHP 8 به خودی خود انجام شده است ، اما به احتمال زیاد هنوز موارد کشف نشده باقی مانده است. “

ناشران باید قبل از به روزرسانی نسخه PHP خود ابتدا آزمایش کنند زیرا تم ها و افزونه ها در این زمان به احتمال زیاد برای PHP 8 آماده نخواهند شد.

مطالب پیشنهادی  در اینجا نحوه حذف نشانک های ناخواسته توییتر آورده شده است

به همین دلیل اعلامیه وردپرس سازگاری با PHP 8 را به عنوان اشکال احتمالی سازگاری و ممکن است هنوز مضامین و افزونه ها سازگار نکرده است ، به عنوان یکی از اولین مراحل قرار داده است.

طبق وردپرس:

“5.6 اولین گام ها برای پشتیبانی اصلی وردپرس از PHP 8 است.”

زشت

یکی از ویژگی های جدید نسخه 5.6 که تیم وردپرس به آن افتخار می کنند دارای یک نقطه ضعف بالقوه برای آن است که در صورت بهره برداری کامل می تواند منجر به تصاحب کامل سایت شود.

WP 5.6 احراز هویت REST API را با ویژگی Application Passwords معرفی می کند

ویژگی گذرواژه های برنامه به برنامه های شخص ثالث اجازه می دهد تا به وب سایت شما متصل شده و قابلیت اضافه کنند.

به گزارش وردپرس:

“با تشکر از ویژگی مجوز جدید گذرواژه های API ، برنامه های شخص ثالث می توانند به صورت یکپارچه و ایمن به سایت شما متصل شوند. این ویژگی جدید REST API به شما امکان می دهد ببینید چه برنامه هایی به سایت شما متصل می شوند و عملکرد آنها را کنترل می کنید. “

با این حال ، طبق Wordfence ناشر پلاگین امنیتی وردپرس ، می توان از حمله مهندسی اجتماعی علیه مدیر سایت برای به دست آوردن اعتبار مدیر استفاده کرد.

مهندسی اجتماعی روشی هک است که به ترفند ارائه اطلاعات یا دسترسی متکی است.

به عنوان مثال ، فیشینگ نوعی مهندسی اجتماعی است که در آن یک مهاجم ممکن است از طریق ایمیل از طریق قربانی که خود را به عنوان بانک خود معرفی می کند ، درخواست کند که اطلاعات ورود به سیستم را دوباره تنظیم کند.

تبلیغات

ادامه مطلب را در زیر بخوانید

پیوند در ایمیل منجر به سایت کپی برداری می شود که شبیه یک وب سایت بانکی است که قربانی نام کاربر و رمز ورود خود را وارد می کند و سپس برداشت می شود تا به حساب بانکی خود دسترسی پیدا کند.

مطالب پیشنهادی  گوگل جایگزینی برای Dolby Atmos، Vision می خواهد

Wordfence حمله مهندسی اجتماعی را توصیف می کند که در آن یک مجرم می تواند برنامه ای را ایجاد کند که جعل هویت یک برنامه مورد اعتماد را به عهده دارد و باعث می شود ناشر سایت رمز عبور صادر کند و اجازه اتصال ایمن به وب سایت خود را بدهد. Wordfence پیچیدگی این حمله را چنین توصیف می کند:بدیهی

طبق Wordfence:

“یک مهاجم می تواند یک مالک سایت را فریب دهد تا روی پیوندی که درخواست رمز عبور برنامه را دارد کلیک کند ، و از برنامه مخرب خود هر چه می خواهند نام برد …

از آنجا که رمزهای عبور برنامه با مجوزهای کاربری که آنها را ایجاد کرده است کار می کنند ، یک مهاجم می تواند از این طریق برای کنترل وب سایت استفاده کند. “

Wordfence ویدئویی را تهیه و توصیف و نشان داد که بالقوه حمله مهندسی اجتماعی می تواند ویژگی جدید رمزهای عبور برنامه را به خطر بیندازد:

Wordfence شرح رمزهای عبور برنامه وردپرس ویژگی آسیب پذیری در مهندسی اجتماعی

https://www.youtube.com/watch؟v=MgDbnvuJmPc

بررسی اجمالی وردپرس 5.6

وردپرس 5.6 تا حد زیادی موفقیت آمیز است. موارد زیادی وجود دارد که بسیار مناسب آن است. اگرچه پیشرفت بزرگی نیست ، اما پیشرفتهای تدریجی در عملکرد طراحی سایت و بهبود عملکرد دارد.

تبلیغات

ادامه مطلب را در زیر بخوانید

این که این نسخه بتواند از درام دو اکران آخر جلوگیری کند ، باعث می شود این به روزرسانی یک پیروزی باشد ، با توجه به اینکه هنوز چند هفته از سال 2020 باقی مانده است.

استناد

هشدارها ، اطلاعیه ها و مستندات وردپرس 5.6

مقاله Wordfence:
وردپرس 5.6 خطری جدید برای سایت شما معرفی می کند: چه کاری باید انجام دهید

اطلاعیه رسمی: WordPress 5.6 “Simone”

مستندات نسخه وردپرس 5.6

رسیدگی به مسائل بالقوه jQuery در وردپرس 5.6

سئو PBN | خبر های جدید سئو و هک و سرور